subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Stieger <andreas.stie...@gmx.de>
Subject Re: Subversion 1.8.9 repository access issue [Urgent]
Date Sun, 06 Jul 2014 11:35:33 GMT
Hi,

On 06/07/14 12:11, Mohsin Abbas wrote:
> [upgraded server from 1.4.2 to 1.8.9]
> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x] (20014)Internal
> error: Failed to load module for FS type 'bdb'

Your repository is of type bdb, (berkeley db backend), not fsfs. As such
is it not suitable for a direct upgrade. You must dump the repository
contents using the previous version 1.4.2 using svnadmin dump and then
load it into 1.8.9. This is one of the reasons why the bdb back-end has
been deprecated.

Andreas

Mime
View raw message